#include <xvt.h>
#include <stdlib.h>
#include <checks.h>

#include "sc2.h"  

#define usage "Errore - uso : sc2 -{0|1|2|3}"

int main(int argc,char** argv)
{
  const int n = (argc > 1) ? (atoi(&argv[1][1])) : 0;

  switch(n)
  {
  case 0:
    sc2100(argc,argv); break;
  case 1:
	sc2200(argc,argv); break;
  case 2:
	sc2300(argc,argv); break;
  case 3:
	sc2400(argc,argv); break;
  default: 
    error_box(usage);
  }
  return 0;
}
